/*
-- ========================================================================== --
-- RENDLOCAL
-- ========================================================================== --
*/
CREATE OR REPLACE VIEW RENDLOCAL(CDRECEITA,CDFILIAL,QTRENDRECLOC,QTAPRORECLOC)
AS
SELECT EP.CDPRODUTO,EP.CDFILIAL,TC.QTPRODTCOMP,
       ((SUM(CP.QTINSUMO)/100)*TC.QTPRODTCOMP) QTAPRORECLOC
FROM ESPEPROD EP, PRODUTO PR, TCOMPPRO TC, COMPPROD CP
WHERE (EP.IDTPMANUAL     IS NULL      ) AND
      (EP.IDCOMPPADRAO = 'L'          ) AND
      (EP.DTVALESPEPRO = (SELECT MAX(DTVALESPEPRO)
                          FROM ESPEPROD
                          WHERE (DTVALESPEPRO <= TRUNC(SYSDATE)) AND
                                (IDTPMANUAL      IS NULL       ) AND
                                (IDCOMPPADRAO  = 'L'           ) AND
                                (CDPRODUTO     = EP.CDPRODUTO  ) AND
                                (CDESPEPROD    = EP.CDESPEPROD ))) AND
      (PR.CDPRODUTO    = EP.CDPRODUTO ) AND
      (PR.IDPRODCOMISS = '3'          ) AND
      (TC.CDPRODUTO    = EP.CDPRODUTO ) AND
      (TC.CDESPEPROD   = EP.CDESPEPROD) AND
      (TC.IDTCOMPPROC  = 'S'          ) AND
      (CP.CDPRODUTO    = EP.CDPRODUTO ) AND
      (CP.CDESPEPROD   = EP.CDESPEPROD) AND
      (CP.CDTIPOCOMP   = TC.CDTIPOCOMP)
GROUP BY EP.IDCOMPPADRAO,EP.CDFILIAL,
         EP.CDPRODUTO,TC.QTPRODTCOMP
/
